## munin 2.0.37

=== debian/changelog ===
munin (2.0.37-1) unstable; urgency=medium

  * New upstream version 2.0.37.
  * New upstream version 2.0.36, Closes: #894017.
  * New upstream version 2.0.35, fixing various issues, including bugs in:
    - plugin http_loadtime: Closes: #798258, #862794, #886517
    - plugin netstat: Closes: #861851
    - plugin nfsd4: Closes: #833740
    - plugin psu_: Closes: #860487
  * Build-Depends-Indep: switch from default-jdk to openjdk-8-jdk as munin
    fails to build with java 9. Closes: #873993
  * debian/Makefile.config: define JC without path containing default-java.
  * munin-plugis-core:
    - add suggests to time. Closes: #862794
    - add suggests to bc. Closes: #886516
  * Switch maintainer address to team+munin@tracker.debian.org.
  * debian/changelog: drop trailing whitespaces, thanks lintian. 

 -- Holger Levsen <holger@debian.org>  Thu, 29 Mar 2018 15:26:26 +0000

munin (2.0.34-3) unstable; urgency=medium

  * debian/munin-node.triggers: use an explicit interest-await trigger for
    perl-major-upgrades.
  * debian/control:
    - use https:// URL for Vcs-Git: header.
    - specify -b debian for Vcs-Git:.

 -- Holger Levsen <holger@debian.org>  Mon, 08 Jan 2018 11:19:25 +0000

munin (2.0.34-2) unstable; urgency=medium

  * Partly revert f1f48dee so that directories are again setup correctly
    on initial installations. (Closes: #885454)
  * Bump Standards-Version to 4.1.3, no changes needed.
  * Add lintian overrides for munin-node, munin-plugins-core and m-p-extra for
    dependency-on-python-version-marked-for-end-of-life as this is not
    actionable for us, but upstream.

 -- Holger Levsen <holger@debian.org>  Wed, 03 Jan 2018 12:11:20 +0000

munin (2.0.34-1) unstable; urgency=medium

  * New upstream bugfix release. (Closes: #856536)

 -- Holger Levsen <holger@debian.org>  Mon, 23 Oct 2017 13:05:25 +0200

munin (2.0.33-4) unstable; urgency=medium

  * Add systemd-sysv as alternate dependency to cron | cron-daemon. Thanks to
    Christian Göttsche for the suggestion! (Closes: #877658)

 -- Holger Levsen <holger@debian.org>  Thu, 05 Oct 2017 22:44:11 +0200

munin (2.0.33-3) unstable; urgency=medium

  [ Stig Sandbeck Mathisen ]
  * Delay start of munin-node until network is up. (Closes: #865488)

 -- Holger Levsen <holger@debian.org>  Sat, 30 Sep 2017 02:00:57 +0200

munin (2.0.33-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1, no changes needed.
  * Bump debian/compat to 10 and build-depend on debhelper >= 10.2.5~.
  * debian/rules: call dh with --no-parallel, as debhelper compat 10
    introduces parallel building. This will probably also "fix" #839233.
  * Drop version from suggestion on smartmontools, the suggested version is
    satisfied in oldoldstable even.
  * Drop unnecessary "Testsuite:autopkgtest" header from debian/control,
    thanks lintian.
  * Drop obsolete dependency on dh-systemd, nowadays taken care of by
    debhelper.
  * Switch Vcs-Browser URL to https and use /git/ not /gitweb/ as well.
  * Drop deprecated upstart files for munin, munin-node and munin-async.
  * debian/(munin|munin-node|munin-async).postinst: drop legacy code dealing
    with pre-Jessie releases.
  * Drop Breaks and Replaces for munin-plugins-core on pre-Jessie versions
    of munin-plugins-extra.

 -- Holger Levsen <holger@debian.org>  Sat, 30 Sep 2017 01:54:00 +0200

=== debian/control ===
Source: munin
Section: net
Priority: optional
Maintainer: Munin Debian Maintainers <team+munin@tracker.debian.org>
Uploaders: Holger Levsen <holger@debian.org>, 
 Stig Sandbeck Mathisen <ssm@debian.org>
Build-Depends-Indep:
 openjdk-8-jdk,
 html2text,
 htmldoc,
 perl,
Build-Depends:
 debhelper (>=10.2.5~),
 libmodule-build-perl,
Standards-Version: 4.1.3
Homepage: http://munin-monitoring.org
Vcs-Git: https://anonscm.debian.org/git/collab-maint/munin.git -b debian
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/munin.git

Package: munin-node
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 gawk,
 libnet-server-perl,
 lsb-base (>= 4.1),
 munin-common (>= ${binary:Version}),
 munin-plugins-core,
 procps,
Recommends: libnet-snmp-perl, munin-plugins-extra
Suggests:
 acpi | lm-sensors,
 ethtool,
 hdparm,
 libcrypt-ssleay-perl,
 libdbd-pg-perl,
 liblwp-useragent-determined-perl,
 libnet-irc-perl,
 libtext-csv-xs-perl,
 libwww-perl,
 libxml-simple-perl,
 logtail,
 munin,
 munin-plugins-java,
 default-mysql-client,
 net-tools,
 python,
 ruby,
 smartmontools,
Description: network-wide graphing framework (node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the daemon for the nodes being monitored. You should
 install it on all the nodes in your network. It will know how to extract all
 sorts of data from the node it runs on, and will wait for the gatherer to
 request this data for further processing.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-plugins-core
Provides: munin-plugins
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, munin-common (>= ${binary:Version})
Recommends: libnet-snmp-perl
Suggests:
 bc,
 conntrack,
 libnet-netmask-perl,
 libnet-telnet-perl,
 libxml-parser-perl,
 libcache-cache-perl,
 libdbd-mysql-perl,
 libnet-dns-perl,
 python,
 ruby | ruby-interpreter,
 time,
Description: network-wide graphing framework (plugins for node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the official plugins for the Munin node, capable of
 extracting common values such as cpu usage, network usage, load average, and
 so on. 
 .
 Creating your own plugins which are capable of extracting other system-specific 
 values is very easy, and is often done in a matter of minutes.
 You can also create plugins which relay information from other devices in your
 network that can't run Munin, such as a switch or a server running another
 operating system, by using SNMP or similar technology.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-plugins-extra
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, munin-common (>= ${binary:Version})
Suggests: libnet-netmask-perl, python, libnet-telnet-perl
Description: network-wide graphing framework (user contributed plugins for node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains unsupported plugins for the Munin node, contributed by
 various users of Munin. 
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-plugins-java
Architecture: all
Depends: ${misc:Depends},
 default-jre-headless | java6-runtime-headless | java5-runtime-headless | java2-runtime-headless,
 munin-common (>= ${binary:Version}),
Description: network-wide graphing framework (java plugins for node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the java based plugins that are used by munin-node to 
 monitor Java Management Extensions (JMX). 
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 lsb-base (>= 4.1),
 cron | cron-daemon | systemd-sysv,
 fonts-dejavu-core,
 libdate-manip-perl,
 libdigest-md5-perl,
 libfile-copy-recursive-perl,
 libhtml-template-perl,
 libio-socket-inet6-perl,
 liblog-log4perl-perl,
 librrds-perl,
 libstorable-perl,
 libtime-hires-perl,
 liburi-perl,
 munin-common (>= ${binary:Version}),
 rrdtool,
Recommends: munin-node, munin-doc, libcgi-fast-perl
Suggests: www-browser, httpd, libnet-ssleay-perl, libapache2-mod-fcgid
Description: network-wide graphing framework (grapher/gatherer)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the grapher/gatherer. You will only need one instance of
 it in your network. It will periodically poll all the nodes in your network
 it's aware of for data, which it in turn will use to create graphs and HTML
 pages, suitable for viewing with your graphical web browser of choice.
 .
 It is also able to alert you if any value is outside of a preset boundary,
 useful if you want to be alerted if a filesystem is about to grow full, for
 instance.  You can do this by making Munin run an arbitrary command when you
 need to be alert it, or make use of the intrinsic Nagios support.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-common
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends},
 adduser,
 liblist-moreutils-perl,
Description: network-wide graphing framework (common)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the common perl modules that are used by both munin
 and munin-node.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-async
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 lsb-base (>= 4.1),
 adduser,
 munin-common (>= ${binary:Version}),
 munin-node,
Description: network-wide graphing framework (async master/client)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains munin-async and munin-asyncd which can
 be used for (optional) asynchronous operation of munin-update.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends}, ${misc:Depends}
Description: network-wide graphing framework (documentation)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains all the documentation as POD files.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

=== debian/rules ===
#! /usr/bin/make -f

export DH_VERBOSE=1

MAKEOPTS = CONFIG=debian/Makefile.config INSTALL_PLUGINS="auto manual snmpauto contrib"

%:
	# --no-parallel was introduced with debhelper compat level 10
	# (else it would fail to build) - this will probably also
	# "fix"  #839233
	dh $@ --with systemd --no-parallel

override_dh_auto_build:
	# ./getversion reads RELEASE if it exists
	dpkg-parsechangelog | sed -n 's/^Version: //p' > RELEASE
	chmod 755 debian/ostype_helper
	dh_auto_build -- $(MAKEOPTS)

override_dh_auto_install:
	# Install the major munin parts into different packages
	$(MAKE) install-common-prime $(MAKEOPTS) \
		MANDIR=$(CURDIR)/debian/munin-doc/usr/share/man \
		DESTDIR=$(CURDIR)/debian/munin-common

	$(MAKE) install-async-prime $(MAKEOPTS) \
		MANDIR=$(CURDIR)/debian/munin-doc/usr/share/man \
		DESTDIR=$(CURDIR)/debian/munin-async

	$(MAKE) install-master-prime $(MAKEOPTS) \
		MANDIR=$(CURDIR)/debian/munin-doc/usr/share/man \
		DESTDIR=$(CURDIR)/debian/munin

	$(MAKE) install-node-prime $(MAKEOPTS) \
		MANDIR=$(CURDIR)/debian/munin-doc/usr/share/man \
		DESTDIR=$(CURDIR)/debian/munin-node

	# workaround bug in upstream Makefile
	mkdir -p $(CURDIR)/debian/munin-async/var/lib
	mv $(CURDIR)/debian/munin-node/var/lib/munin-async $(CURDIR)/debian/munin-async/var/lib/munin-async

	$(MAKE) install-plugins-prime $(MAKEOPTS) \
		MANDIR=$(CURDIR)/debian/munin-doc/usr/share/man \
		DESTDIR=$(CURDIR)/debian/munin-plugins-core

	$(MAKE) install-plugins-java $(MAKEOPTS) \
		MANDIR=$(CURDIR)/debian/munin-doc/usr/share/man \
		DESTDIR=$(CURDIR)/debian/munin-plugins-java

	# Install apache configuration
	install -D -m0644 debian/munin.apache.conf \
		$(CURDIR)/debian/munin/etc/munin/apache.conf

	# Install apache 2.4 configuration
	install -D -m0644 debian/munin.apache24.conf \
		$(CURDIR)/debian/munin/etc/munin/apache24.conf

	# Remove default .htaccess file from installation, as we include it
	# in the default apache2/conf.d/munin configuration
	rm -v $(CURDIR)/debian/munin/var/cache/munin/www/.htaccess

	# Remove bundled VeraMono.ttf, debian gets this font from 
	# the fonts-dejavu-core package. http://bugs.debian.org/548508
	rm -v $(CURDIR)/debian/munin/usr/share/munin/DejaVuSans*.ttf

	# Munin::Plugins & plugins.sh go into munin-common.
	# They are used for munin-plugins-* and we don't want a whole 
	# dedicated new package (munin-plugins-common) for that. yet.
	for file in usr/share/perl5/Munin/Plugin.pm usr/share/munin/plugins/plugin.sh; do \
		mkdir -p $(CURDIR)/debian/munin-common/$$(dirname $$file) ;\
		mv $(CURDIR)/debian/munin-plugins-core/$$file \
			$(CURDIR)/debian/munin-common/$$file; \
	done

	# Install debian provided plugin configuration
	install -D -m0644 debian/plugins.conf \
		$(CURDIR)/debian/munin-node/etc/munin/plugin-conf.d/munin-node

	# Move plugins not marked "auto" "manual" or "snmpauto" to the
	# "munin-plugins-extra" package.
	mkdir -p $(CURDIR)/debian/munin-plugins-extra/usr/share/munin/plugins
	for file in $$(find debian/munin-plugins-core/usr/share/munin/plugins -type f \
		-not -name plugins.history -and -not -name plugins.sh); do \
		if ! grep -q "#%# family=\(auto\|manual\|snmpauto\)" $$file ; then \
			mv -v $$file $(CURDIR)/debian/munin-plugins-extra/usr/share/munin/plugins; \
		fi; \
	done

	rmdir $(CURDIR)/debian/munin/var/run/munin
	rmdir $(CURDIR)/debian/munin-node/var/run/munin

# "make clean" is being clever. Work around that. ;)
override_dh_auto_clean:
	dh_auto_clean -- $(MAKEOPTS) clean-node clean-master clean-plugins clean-common clean
	find plugins/javalib -name '*.class' -print0 | xargs -0 -r rm -v
	rm RELEASE -f

# Disable build tests for now
override_dh_auto_test:

## munin 2.0.47

=== debian/changelog ===
munin (2.0.47-1ubuntu3) disco; urgency=medium

  * Add missing test dependency on net-tools for netstat plugin.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2019 17:33:48 -0700

munin (2.0.47-1ubuntu2) disco; urgency=medium

  * Drop sysvinit autopkgtests, sysvinit is not supported in Ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2019 15:01:41 -0700

munin (2.0.47-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run the setup again, if upgrading from 2.0.37-1.  This change can be
      dropped after the Ubuntu 20.04 LTS release.
  * Dropped changes, included in Debian:
    - Revert more of f1f48dee so that directories are again setup correctly on
      initial installations of munin-node and munin-async.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2019 12:31:44 -0700

munin (2.0.47-1) unstable; urgency=medium

  [ Holger Levsen ]
  * New upstream version 2.0.47.

  [ Lars Kruse ]
  * New upstream version 2.0.46, Closes: #715141
  * Add 'Webservice' field to upstream metadata.
  * munin-node.README.Debian: update plugin customization hints
  * munin-node.README.Debian: mention behavioural changes due to systemd
    (Closes: #921985)
  * Remove references to "munin-sched" (removed by upstream)

 -- Holger Levsen <holger@debian.org>  Thu, 28 Feb 2019 16:06:07 +0100

munin (2.0.45-1) unstable; urgency=medium

  * New upstream release.

 -- Holger Levsen <holger@debian.org>  Thu, 07 Feb 2019 00:10:46 +0100

munin (2.0.44-2) unstable; urgency=medium

  [ Lars Kruse ]
  * Add "netbase" to Depends for "munin"
  * Add "netbase" to Depends for "munin-node"

  [ Holger Levsen ]
  * Bump Standards-Version to 4.3.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Thu, 24 Jan 2019 13:02:41 +0100

munin (2.0.44-1) unstable; urgency=medium

  * New upstream bugfix release.

  [ Lars Kruse ]
  * Move plugin-related "Suggests" from "munin-node" to plugin packages.
    Closes: #755257
  * munin-node:
    - move "gawk" and "procps" from Depends to Recommends.
    - move "libnet-snmp-perl" from "Recommends" to "Suggests".
    - remove suggests "libcrypt-ssleay-perl" and "libwww-perl".

 -- Holger Levsen <holger@debian.org>  Fri, 21 Dec 2018 15:59:09 +0100

munin (2.0.43-3) unstable; urgency=medium

  [ Lars Kruse ]
  * Tests: handle autoconf detection for plugins "acpi" and "cpuspeed".
  * Try to work around autopkgtest failure experienced on ci.d.n but not
    locally.

 -- Holger Levsen <holger@debian.org>  Wed, 05 Dec 2018 12:42:56 +0100

munin (2.0.43-2) unstable; urgency=medium

  [ Lars Kruse ]
  * Increase failure verbosity of "default plugin user" test.

 -- Holger Levsen <holger@debian.org>  Sun, 02 Dec 2018 18:22:42 +0100

munin (2.0.43-1) unstable; urgency=medium

  [ Lars Kruse ]
  * New upstream version 2.0.43, Closes: #913661
  * Remove duplicate systemd-tmpfiles line for /run/munin from munin-node.
    Thanks to Vincas Dargis (Closes: #913784)
  * Add autopktest for default user context of plugins.
  * Tests: remove temporary exception for stderr from "munindoc"
  * Change Vcs-Git to canonical URL (appending ".git")
    Thanks to lintian
  * Lintian: override suggested service for init script.
    The purpose of the init script is covered by munin.tmpfiles.

 -- Holger Levsen <holger@debian.org>  Sun, 18 Nov 2018 12:23:38 +0100

munin (2.0.42-6) unstable; urgency=medium

  [ Lars Kruse ]
  * Fix test for MIME type of generated graphs (ignored before).
  * Merge test code details from debian-experimental.
  * Fix permissions of test files.
  * Unify usage of comma/whitespace in debian/tests/control.
  * Use more verbose tests for "expect no files".
  * Tests: tolerate stderr output of "munindoc" for now.

 -- Holger Levsen <holger@debian.org>  Thu, 15 Nov 2018 11:41:20 +0100

munin (2.0.42-5) unstable; urgency=medium

  [ Lars Kruse ]
  * Re-arrange tests for improved readability of test output
  * Tests: Properly detect the assumed presence of the conntrack-related munin
    plugins. Previously only the conntrack executable was checked - now the
    alternative procfs files are evaluated, too. (Really closes: #910684)

 -- Holger Levsen <holger@debian.org>  Sun, 11 Nov 2018 13:48:17 +0100

munin (2.0.42-4) unstable; urgency=medium

  [ Lars Kruse ]
  * tests for munin-node plugins: add conntrack-related plugins to the list of
    expected plugins, if conntrack is available in the test environment.
    This fixes the current autopktest failure. (Closes: #910684)

 -- Holger Levsen <holger@debian.org>  Sat, 10 Nov 2018 14:38:42 +0100

munin (2.0.42-3) unstable; urgency=medium

  [ Lars Kruse ]
  * munin-async.postinst: fix handling of a missing "munin-async" group
    (do not try to create the user again, but add it to the group instead)
  * tests: do not rely on /var/cache/munin/www/localdomain to be created in
    CGI mode
  * add more build dependencies for upstream tests (test failures are
    currently tolerated by upstream)
  * d/tests/munin-node: increase verbosity of output in case of failure
    for the test of available plugins
  * d/tests/control: remove dependency on net-tools (introduced in 2.0.42-2)
    as it did not fix the test failure
  * Remove the empty directory /var/lib/munin-async from "munin" and add it to
    "munin-node". This directory is required by "munin-sched" (shipped in
    "munin-node").
  * munin and munin-node: remove the empty directory /var/run.
    This directory was moved to /run, thus we should not create it
    explicitly anymore.
  * fix spelling of test filename munin-master/01.master-components.t

 -- Holger Levsen <holger@debian.org>  Thu, 08 Nov 2018 12:43:40 +0100

munin (2.0.42-2) unstable; urgency=medium

  * d/tests/control: Add dependency on net-tools for the plugin tests of
    munin-node running with systemd. Thanks to Ivo De Decker for the analysis.
    (Closes: #910684)


=== debian/control ===
--- 
+++ 
@@ -1,51 +1,56 @@
 Source: munin
 Section: net
 Priority: optional
-Maintainer: Munin Debian Maintainers <team+munin@tracker.debian.org>
-Uploaders: Holger Levsen <holger@debian.org>, 
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Munin Debian Maintainers <team+munin@tracker.debian.org>
+Uploaders: Holger Levsen <holger@debian.org>,
  Stig Sandbeck Mathisen <ssm@debian.org>
 Build-Depends-Indep:
- openjdk-8-jdk,
+ default-jdk,
  html2text,
  htmldoc,
+ libfile-slurp-perl,
+ libhtml-template-perl,
+ libio-stringy-perl,
+ liblist-moreutils-perl,
+ liblog-log4perl-perl,
+ libnet-server-perl,
+ libnet-snmp-perl,
+ libnet-ssleay-perl,
+ librrds-perl,
+ libtest-deep-perl,
+ libtest-differences-perl,
+ libtest-exception-perl,
+ libtest-longstring-perl,
+ libtest-mockmodule-perl,
+ libtest-mockobject-perl,
  perl,
 Build-Depends:
- debhelper (>=10.2.5~),
+ debhelper-compat (=11),
  libmodule-build-perl,
-Standards-Version: 4.1.3
+Rules-Requires-Root: no
+Standards-Version: 4.3.0
 Homepage: http://munin-monitoring.org
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/munin.git -b debian
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/munin.git
+Vcs-Git: https://salsa.debian.org/debian/munin.git -b debian
+Vcs-Browser: https://salsa.debian.org/debian/munin
 
 Package: munin-node
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends},
- gawk,
  libnet-server-perl,
  lsb-base (>= 4.1),
  munin-common (>= ${binary:Version}),
  munin-plugins-core,
+ netbase,
+Recommends:
+ gawk,
+ munin-plugins-extra,
  procps,
-Recommends: libnet-snmp-perl, munin-plugins-extra
 Suggests:
- acpi | lm-sensors,
- ethtool,
- hdparm,
- libcrypt-ssleay-perl,
- libdbd-pg-perl,
- liblwp-useragent-determined-perl,
- libnet-irc-perl,
- libtext-csv-xs-perl,
- libwww-perl,
- libxml-simple-perl,
- logtail,
  munin,
  munin-plugins-java,
- default-mysql-client,
- net-tools,
- python,
- ruby,
- smartmontools,
+Replaces: munin-doc (<< 2.0.37-3)
+Breaks: munin-doc (<< 2.0.37-3)
 Description: network-wide graphing framework (node)
  Munin is a highly flexible and powerful solution used to create graphs of
  virtually everything imaginable throughout your network, while still
@@ -66,17 +71,29 @@
 Depends: ${perl:Depends}, ${misc:Depends}, munin-common (>= ${binary:Version})
 Recommends: libnet-snmp-perl
 Suggests:
- bc,
+ acpi | lm-sensors,
  conntrack,
+ default-mysql-client,
+ ethtool,
+ hdparm,
+ libdbd-pg-perl,
+ libhttp-date-perl,
+ liblwp-useragent-determined-perl,
+ libnet-ip-perl,
+ libnet-irc-perl,
+ libnet-ldap-perl,
  libnet-netmask-perl,
  libnet-telnet-perl,
  libxml-parser-perl,
+ libxml-simple-perl,
  libcache-cache-perl,
  libdbd-mysql-perl,
  libnet-dns-perl,
- python,
- ruby | ruby-interpreter,
- time,
+ logtail,
+ net-tools,
+ python3,
+ ruby,
+ smartmontools,
 Description: network-wide graphing framework (plugins for node)
  Munin is a highly flexible and powerful solution used to create graphs of
  virtually everything imaginable throughout your network, while still
@@ -84,9 +101,9 @@
  .
  This package contains the official plugins for the Munin node, capable of
  extracting common values such as cpu usage, network usage, load average, and
- so on. 
- .
- Creating your own plugins which are capable of extracting other system-specific 
+ so on.
+ .
+ Creating your own plugins which are capable of extracting other system-specific
  values is very easy, and is often done in a matter of minutes.
  You can also create plugins which relay information from other devices in your
  network that can't run Munin, such as a switch or a server running another
@@ -99,14 +116,23 @@
 Package: munin-plugins-extra
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}, munin-common (>= ${binary:Version})
-Suggests: libnet-netmask-perl, python, libnet-telnet-perl
+Suggests:
+ libcache-memcached-perl,
+ liblwp-useragent-determined-perl,
+ libnet-ip-perl,
+ libnet-netmask-perl,
+ libnet-telnet-perl,
+ libnet-snmp-perl,
+ libtext-csv-xs-perl,
+ libxml-libxml-perl,
+ python3,
 Description: network-wide graphing framework (user contributed plugins for node)
  Munin is a highly flexible and powerful solution used to create graphs of
  virtually everything imaginable throughout your network, while still
  maintaining a rattling ease of installation and configuration.
  .
  This package contains unsupported plugins for the Munin node, contributed by
- various users of Munin. 
+ various users of Munin.
  .
  Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
  RRDtool. To see a real example of Munin in action, you can follow a link
@@ -122,8 +148,8 @@
  virtually everything imaginable throughout your network, while still
  maintaining a rattling ease of installation and configuration.
  .
- This package contains the java based plugins that are used by munin-node to 
- monitor Java Management Extensions (JMX). 
+ This package contains the java based plugins that are used by munin-node to
+ monitor Java Management Extensions (JMX).
  .
  Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
  RRDtool. To see a real example of Munin in action, you can follow a link
@@ -146,9 +172,12 @@
  libtime-hires-perl,
  liburi-perl,
  munin-common (>= ${binary:Version}),
+ netbase,
  rrdtool,
 Recommends: munin-node, munin-doc, libcgi-fast-perl
 Suggests: www-browser, httpd, libnet-ssleay-perl, libapache2-mod-fcgid
+Replaces: munin-doc (<< 2.0.37-3)
+Breaks: munin-doc (<< 2.0.37-3)
 Description: network-wide graphing framework (grapher/gatherer)
  Munin is a highly flexible and powerful solution used to create graphs of
  virtually everything imaginable throughout your network, while still
@@ -173,6 +202,8 @@
 Depends: ${perl:Depends}, ${misc:Depends},
  adduser,
  liblist-moreutils-perl,
+Replaces: munin-doc (<< 2.0.37-3)
+Breaks: munin-doc (<< 2.0.37-3)
 Description: network-wide graphing framework (common)
  Munin is a highly flexible and powerful solution used to create graphs of
  virtually everything imaginable throughout your network, while still

=== debian/tests/control ===
# Tests for master components:
#   * collect graphs
#   * generate html and png files
#
# Dependencies:
#   * apache2: handle HTTP requests
#   * curl: HTTP requests for munin-httpd
#   * daemontools: for "setuidgid"
#   * file: determine mime type of HTTP responses
#   * libcgi-fast-perl: required for delivery via apache2
#   * munin-node: provide data to be retrieved by the munin master
#   * munin-plugins-core: required for requesting plugin graphs via munin-httpd
#   * netcat-openbsd: test local tcp connection
#   * sharness: test framework


# systemd
Tests: master-systemd-cron, master-systemd-cgi
Depends: munin, munin-node, daemontools, apache2, curl, file, libcgi-fast-perl, sharness, 
Restrictions: needs-root, breaks-testbed, isolation-container

# sysvinit-core
Tests: master-sysvinit-cron, master-sysvinit-cgi
Depends: munin, munin-node, daemontools, apache2, curl, file, libcgi-fast-perl, sharness, sysvinit-core
Restrictions: needs-root, breaks-testbed, isolation-machine, needs-reboot, skip-not-installable


# Tests for munin-node:
#   * run the node
#   * access plugins
#
# Dependencies:
#   * netcat-openbsd: test local tcp connection
#   * sharness: test framework

# systemd
Tests: node-systemd
Depends: munin-node, netcat-openbsd, sharness, net-tools
Restrictions: needs-root, breaks-testbed, isolation-container

# sysvinit-core
Tests: node-sysvinit
Depends: munin-node, netcat-openbsd, sharness, net-tools, sysvinit-core
Restrictions: needs-root, breaks-testbed, isolation-machine, needs-reboot, skip-not-installable


# verify that all binary packages can be installed at the same time (without conflicts)
Test-Command: true
Depends: @
Restrictions: breaks-testbed

## munin 2.0.49

=== Makefile ===
# -*- makefile -*-
#
# Gnu make only.  Seriously.
#
# $Id$

# Defaults/paths. Allows $(CONFIG) to be overridden by
# make command line
DEFAULTS = Makefile.config
CONFIG = Makefile.config

include $(DEFAULTS)
ifneq ($(DEFAULTS),$(CONFIG))
    include $(CONFIG)
endif

ifeq ($(JCVALID),yes)
JAVA_BUILD=build-plugins-java
JAVA_INSTALL=install-plugins-java
JAVA_PLUGINS=plugins/node.d.java/*
endif

RELEASE          := $(shell $(CURDIR)/getversion)
INSTALL_PLUGINS ?= "auto manual contrib snmpauto"
INSTALL          := ./install-sh
DIR              := $(shell /bin/pwd | sed 's/^.*\///')
INFILES          := $(shell find . -name '*.in' | sed 's/\.\/\(.*\)\.in$$/build\/\1/')
INFILES_MASTER   := $(shell find master -name '*.in' | sed 's/\(.*\)\.in$$/build\/\1/')
CLASSFILES       := $(shell find plugins/javalib -name '*.java' | sed 's/\(.*\)\.java$$/build\/\1.class/')
PLUGINS          := $(wildcard plugins/node.d.$(OSTYPE)/* plugins/node.d/* $(JAVA_PLUGINS))
MANCENTER        := "Munin Documentation"
MAN8             := master/_bin/munin-update master/_bin/munin-limits master/_bin/munin-html master/_bin/munin-graph
PODMAN8          := build/master/doc/munin-cron master/doc/munin master/doc/munin-check
PODMAN5          := build/master/doc/munin.conf node/doc/munin-node.conf
PYTHON_LINT_CALL ?= python3 -m flake8
CONFVAR_SUBSTITUTION_FILES = \
	master/blib/libdoc/Munin\:\:Master\:\:HTMLOld.3pm \
	master/blib/lib/Munin/Master/HTMLOld.pm \
	node/blib/sbin/munin-node-configure \
	node/blib/sbin/munin-node \
	node/blib/sbin/munin-run \
	build/doc/munin-node.conf.5
MAKEFILES        := Makefile $(DEFAULTS) $(CONFIG)

# TODO: remove this fallback code for "make v3.x" (up to Debian Wheezy / Ubuntu Trusty) as soon as
#       the CI supports a more modern distribution
#       (see https://docs.travis-ci.com/user/reference/overview/)
# Make v3.x failed to handle colon escaping properly - thus we remove complicated filenames from
# targets and dependencies.  This may affect corner cases of dependency handling for the one file
# above containing a colon.  But in this case it is just about substituting paths in a
# documentation file - thus we can live with this rare risk of incorrectness.
ifeq ($(firstword $(subst ., ,$(MAKE_VERSION))),3)
# weed out all complicated filenames containing a colon
CONFVAR_SUBSTITUTION_DEP_FILES = $(shell printf '%s\n' $(CONFVAR_SUBSTITUTION_FILES) | grep -v ":")
else
CONFVAR_SUBSTITUTION_DEP_FILES = $(CONFVAR_SUBSTITUTION_FILES)
endif


.PHONY: install install-pre install-master-prime install-node-prime install-node-pre install-common-prime install-doc install-man \
	build build-common build-common-pre build-doc \
	substitute-build-defaults-inline substitute-confvar-inline \
	source_dist \
	test lint clean \
	clean-% test-% build-% install-% \
	tags \
	infiles

.SECONDARY: node/Build master/Build plugins/Build

.SUFFIXES: .java .class

# This HAS to be the 1st rule
default: build

.java.class:
	$(JC) -sourcepath plugins/javalib -d build/plugins/javalib $(JFLAGS) plugins/javalib/$(subst plugins/javalib/,,$*.java)

uninstall:
	echo "Uninstall is not implemented yet"

# This removes the installed config so that the next install-pass installs
# a new config.  Target _only_ suitable for maintainers.
unconfig:
	rm -f $(HTMLDIR)/.htaccess
	rm -f $(CONFDIR)/munin.conf

tags:
	-rm -f TAGS
	find master common -type f | egrep -v '/(build/|_build/|blib/|\.svn/)' | grep -v '\.t$$' | fgrep -v '~' | xargs etags -l perl -a

######################################################################

install: install-master-prime install-common-prime install-node-prime install-plugins-prime $(JAVA_INSTALL) install-man install-async-prime

install-pre: $(MAKEFILES)
	@$(CHECKUSER)
	mkdir -p $(LOGDIR)
	mkdir -p $(STATEDIR)
	mkdir -p $(SPOOLDIR)
	mkdir -p $(CONFDIR)
	$(CHOWN) $(USER) $(LOGDIR) $(STATEDIR) $(SPOOLDIR)

install-master-prime: $(INFILES_MASTER) install-pre install-master
	mkdir -p $(CONFDIR)/templates
	mkdir -p $(CONFDIR)/static
	mkdir -p $(CONFDIR)/templates/partial
	mkdir -p $(CONFDIR)/munin-conf.d
	mkdir -p $(LIBDIR)
	mkdir -p $(BINDIR)
	mkdir -p $(PERLLIB)
	mkdir -p $(PERLLIB)/Munin/Master
	mkdir -p $(HTMLDIR)
	mkdir -p $(DBDIR)
	mkdir -p $(DBDIR)/cgi-tmp
	mkdir -p $(CGIDIR)

	$(CHOWN) $(USER) $(HTMLDIR) $(DBDIR)
	$(CHMOD) 0755 $(DBDIR)

	$(CHOWN) $(CGIUSER) $(DBDIR)/cgi-tmp
	$(CHMOD) 0755 $(DBDIR)/cgi-tmp

	for p in master/www/*.tmpl ;  do \
		$(INSTALL) -m 0644 "$$p" $(CONFDIR)/templates/ ; \
	done

	for p in master/static/* ; do \
		$(INSTALL) -m 0644 "$$p" $(CONFDIR)/static/ ; \
	done

	for p in master/www/partial/*.tmpl; do \
		$(INSTALL) -m 0644 "$$p" $(CONFDIR)/templates/partial/ ; \
	done

	$(INSTALL) -m 0644 master/DejaVuSansMono.ttf $(LIBDIR)/
	$(INSTALL) -m 0644 master/DejaVuSans.ttf $(LIBDIR)/

	test -f $(HTMLDIR)/.htaccess || $(INSTALL) -m 0644 build/master/www/munin-htaccess $(HTMLDIR)/.htaccess
	test -f "$(CONFDIR)/munin.conf"  || $(INSTALL) -m 0644 build/master/munin.conf $(CONFDIR)/

	$(INSTALL) -m 0755 build/master/_bin/munin-cron $(BINDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-check $(BINDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-update $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-html $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-graph $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-limits $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-datafile2storable $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-storable2datafile $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-cgi-graph $(CGIDIR)/munin-cgi-graph
	$(INSTALL) -m 0755 build/master/_bin/munin-cgi-html $(CGIDIR)/munin-cgi-html

# Not ready to be installed yet
# $(INSTALL) -m 0755 build/master/_bin/munin-gather $(LIBDIR)/

install-node-plugins: install-plugins-prime

install-plugins-prime: install-plugins build $(PLUGINS) $(MAKEFILES)
	@$(CHECKGROUP)

	mkdir -p $(CONFDIR)/plugins
	mkdir -p $(CONFDIR)/plugin-conf.d
	mkdir -p $(LIBDIR)/plugins
	mkdir -p $(PLUGSTATE)

	$(CHOWN) root:root $(PLUGSTATE)
	$(CHMOD) 0755 $(PLUGSTATE)
	$(CHMOD) 0755 $(CONFDIR)/plugin-conf.d

	@# Process the OS specific plugins at the end. Otherwise they would be overridden by the
	@# generic ones.
	for p in build/plugins/node.d/* build/plugins/node.d.$(OSTYPE)/* ; do \
		if test -f "$$p"; then \
			echo Installing $$p; \
			$(INSTALL) -m 0755 $$p $(LIBDIR)/plugins/; \
		fi \
	done
	@# Some HP-UX plugins need *.adv support files in LIBDIR
	if [ "$(OSTYPE)" = "hp-ux" ]; then mv $(LIBDIR)/plugins/*.adv $(LIBDIR); fi
	$(INSTALL) -m 0644 build/plugins/plugins.history $(LIBDIR)/plugins/
	$(INSTALL) -m 0644 build/plugins/plugin.sh $(LIBDIR)/plugins/

install-plugins-java: build-plugins-java
	mkdir -p $(JAVALIBDIR)
	$(INSTALL) -m 0644 build/plugins/javalib/munin-jmx-plugins.jar $(JAVALIBDIR)/
	mkdir -p $(LIBDIR)/plugins
	for p in build/plugins/node.d.java/*; do \
		if test -f "$$p"; then \
			echo Installing $$p; \
			$(INSTALL) -m 0755 $$p $(LIBDIR)/plugins/; \
		fi \
	done

#TODO:
# configure plugins.  Or not. Better done under the direction of the installer
# or the packager.

install-async-prime: install-async

install-async:
	mkdir -p $(LIBDIR)
	$(INSTALL) -m 0755 build/node/_bin/munin-async $(LIBDIR)/
	$(INSTALL) -m 0755 build/node/_bin/munin-asyncd $(LIBDIR)/

install-node-prime: install-node-pre install-node

install-node-pre: build/node/munin-node.conf install-pre
	test -f "$(CONFDIR)/munin-node.conf" || $(INSTALL) -m 0644 build/node/munin-node.conf $(CONFDIR)/


install-common-prime: build-common install-common


install-man: build-man $(MAKEFILES)
	mkdir -p $(MANDIR)/man1 $(MANDIR)/man5 $(MANDIR)/man8
	$(INSTALL) -m 0644 build/doc/munin-node.conf.5 $(MANDIR)/man5/
	$(INSTALL) -m 0644 build/doc/munin.conf.5 $(MANDIR)/man5/
	$(INSTALL) -m 0644 build/doc/munin-update.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin-limits.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin-graph.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin-html.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin-cron.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin-check.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin.8 $(MANDIR)/man8/


install-doc: build-doc
	mkdir -p $(DOCDIR)/resources
	$(INSTALL) -m 0644 README $(DOCDIR)/
	$(INSTALL) -m 0644 COPYING $(DOCDIR)/
	$(INSTALL) -m 0644 build/resources/* $(DOCDIR)/resources

######################################################################

# Dummy rule to enable parallel building
infiles: $(INFILES)

build: infiles build-master build-common build-node build-plugins $(JAVA_BUILD) build-man build-confvar-substitution-stamp

build/%: %.in
	@echo "$< -> $@"
	@mkdir -p build/`dirname $<`
	@sed -e 's|@@PREFIX@@|$(PREFIX)|g' \
		-e 's|@@CONFDIR@@|$(CONFDIR)|g' \
		-e 's|@@BINDIR@@|$(BINDIR)|g' \
		-e 's|@@SBINDIR@@|$(SBINDIR)|g' \
		-e 's|@@DOCDIR@@|$(DOCDIR)|g' \
		-e 's|@@LIBDIR@@|$(LIBDIR)|g' \
		-e 's|@@MANDIR@@|$(MANDIR)|g' \
		-e 's|@@LOGDIR@@|$(LOGDIR)|g' \
		-e 's|@@HTMLDIR@@|$(HTMLDIR)|g' \
		-e 's|@@DBDIR@@|$(DBDIR)|g' \
		-e 's|@@STATEDIR@@|$(STATEDIR)|g' \
		-e 's|@@SPOOLDIR@@|$(SPOOLDIR)|g' \
		-e 's|@@PERL@@|$(PERL)|g' \
		-e 's|@@PERLLIB@@|$(PERLLIB)|g' \
		-e 's|@@PYTHON@@|$(PYTHON)|g' \
		-e 's|@@RUBY@@|$(RUBY)|g' \
		-e 's|@@JAVARUN@@|$(JAVARUN)|g' \
		-e 's|@@JAVALIBDIR@@|$(JAVALIBDIR)|g' \
		-e 's|@@OSTYPE@@|$(OSTYPE)|g' \
		-e 's|@@HOSTNAME@@|$(HOSTNAME)|g' \
		-e 's|@@MKTEMP@@|$(MKTEMP)|g' \
		-e 's|@@VERSION@@|$(VERSION)|g' \
		-e 's|@@PLUGSTATE@@|$(PLUGSTATE)|g' \
		-e 's|@@CGIDIR@@|$(CGIDIR)|g' \
		-e 's|@@CGITMPDIR@@|$(CGITMPDIR)|g' \
		-e 's|@@USER@@|$(USER)|g' \
		-e 's|@@GROUP@@|$(GROUP)|g' \
		-e 's|@@PLUGINUSER@@|$(PLUGINUSER)|g' \
		-e 's|@@GOODSH@@|$(GOODSH)|g' \
		-e 's|@@BASH@@|$(BASH)|g' \
		-e 's|@@HASSETR@@|$(HASSETR)|g' \
		$< > $@;


build-confvar-substitution-stamp: $(CONFVAR_SUBSTITUTION_DEP_FILES)
	$(MAKE) substitute-confvar-inline
	touch build-confvar-substitution-stamp


$(CONFVAR_SUBSTITUTION_DEP_FILES): build-master build-node build-man


substitute-confvar-inline:
	perl -p -i -e 's|\@\@PREFIX\@\@|$(PREFIX)|g;' \
		-e 's|\@\@CONFDIR\@\@|$(CONFDIR)|g;' \
		-e 's|\@\@BINDIR\@\@|$(BINDIR)|g;' \
		-e 's|\@\@SBINDIR\@\@|$(SBINDIR)|g;' \
		-e 's|\@\@DOCDIR\@\@|$(DOCDIR)|g;' \
		-e 's|\@\@LIBDIR\@\@|$(LIBDIR)|g;' \
		-e 's|\@\@MANDIR\@\@|$(MANDIR)|g;' \
		-e 's|\@\@LOGDIR\@\@|$(LOGDIR)|g;' \
		-e 's|\@\@HTMLDIR\@\@|$(HTMLDIR)|g;' \
		-e 's|\@\@DBDIR\@\@|$(DBDIR)|g;' \
		-e 's|\@\@STATEDIR\@\@|$(STATEDIR)|g;' \
		-e 's|\@\@SPOOLDIR\@\@|$(SPOOLDIR)|g;' \
		-e 's|\@\@PERL\@\@|$(PERL)|g;' \
		-e 's|\@\@PERLLIB\@\@|$(PERLLIB)|g;' \
		-e 's|\@\@PYTHON\@\@|$(PYTHON)|g;' \
		-e 's|\@\@RUBY\@\@|$(RUBY)|g;' \
		-e 's|\@\@JAVARUN\@\@|$(JAVARUN)|g;' \
		-e 's|\@\@JAVALIBDIR\@\@|$(JAVALIBDIR)|g;' \
		-e 's|\@\@OSTYPE\@\@|$(OSTYPE)|g;' \
		-e 's|\@\@HOSTNAME\@\@|$(HOSTNAME)|g;' \
		-e 's|\@\@MKTEMP\@\@|$(MKTEMP)|g;' \
		-e 's|\@\@VERSION\@\@|$(VERSION)|g;' \
		-e 's|\@\@PLUGSTATE\@\@|$(PLUGSTATE)|g;' \
		-e 's|\@\@CGIDIR\@\@|$(CGIDIR)|g;' \
		-e 's|\@\@USER\@\@|$(USER)|g;' \
		-e 's|\@\@GROUP\@\@|$(GROUP)|g;' \
		-e 's|\@\@PLUGINUSER\@\@|$(PLUGINUSER)|g;' \
		-e 's|\@\@GOODSH\@\@|$(GOODSH)|g;' \
		-e 's|\@\@BASH\@\@|$(BASH)|g;' \
		-e 's|\@\@HASSETR\@\@|$(HASSETR)|g;' \
		$(CONFVAR_SUBSTITUTION_FILES)


build-common-pre: common/Build
	cd common && $(PERL) Build code


# The target needs an update, if the latest substitution stamp is older then the generated
# Defaults.pm. This can happen, if:
#     * the generated Defaults.pm is missing
#     * or "build-common-pre" caused an update of its source file (thus regenerated Defaults.pm)
build-common-defaults-stamp: common/blib/lib/Munin/Common/Defaults.pm
	$(MAKE) substitute-build-defaults-inline
	@# We need the stamp file, due to the inline nature of this build step. Otherwise it would
	@# be run again during "install" - which would mess up the paths substituted in that step.
	touch build-common-defaults-stamp

=== debian/changelog ===
munin (2.0.49-3ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run the setup again, if upgrading from 2.0.37-1.  This change can be
      dropped after the Ubuntu 20.04 LTS release.
    - Add missing test dependency on net-tools for netstat plugin.
    - Drop sysvinit autopkgtests, sysvinit is not supported in Ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 16 Aug 2019 00:44:38 -0700

munin (2.0.49-3) unstable; urgency=medium

  [ Lars Kruse ]
  * Add missing "Pre-Depends" for "invoke-rc.d --skip-systemd-native"
    (required for compatibility level 12).
  * Introduce hardening execution options for munin-asyncd service.
  * Unify documentation URLs.
  * Fix documentation links for munin-asyncd service.
  * Allow translation of debconf templates and add German translation.
  * Override lintian warning for "no-debconf-config", since debconf is only
    used for a postrm confirmation.

 -- Holger Levsen <holger@debian.org>  Tue, 06 Aug 2019 12:21:53 -0300

munin (2.0.49-2) unstable; urgency=medium

  [ Lars Kruse ]
  * Remove upstart configuration files that are still present (and unchanged).
    The upstart files were removed from the package in 2.0.33-1.
  * Add documentation for socket activation combined with nginx.
  * Examples: adapt socket paths in nginx configuration example according
    to the included systemd socket example.
  * Cache cleanup: use configured settings for "htmldir" and "cgitmpdir"
    instead of default values when cleaning up old cache files in a cron job.
    (Closes: #933849)
  * postrm:
    - do not fail if /var/lib/munin is a mountpoint or symlink.
    - ask during purge whether the RRD files should be removed (default: no).
      Previously these files always remained.
    - remove "storable" files below /var/lib/munin during purge. These files
      are written by munin since v2.0.0.
  * Increase compatibility level from 11 to 12.
  * Tests: also check availability of multigraph plugins.

  [ Holger Levsen ]
  * Bump standards version to 4.4.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Sun, 04 Aug 2019 11:21:12 -0300

munin (2.0.49-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run the setup again, if upgrading from 2.0.37-1.  This change can be
      dropped after the Ubuntu 20.04 LTS release.
    - Add missing test dependency on net-tools for netstat plugin.
    - Drop sysvinit autopkgtests, sysvinit is not supported in Ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 14 Jun 2019 14:36:42 -0700

munin (2.0.49-1) unstable; urgency=medium

  [ Lars Kruse ]
  * New upstream version 2.0.49, fixing the upstream issue #1187
    (https://github.com/munin-monitoring/munin/issues/1187) which breaks the
    visualization of comparison pages and the "problems" overview for munin's
    default settings ("html_strategy" and "graph_strategy" being "cron").
  * New upstream version 2.0.48, fixing various issues, including bugs in:
    - Accept DNS names in "allow" (Closes: #483617)
    - Natural sort output on cpuspeed plugin (Closes: #924366)
    - postgres_connections_ "Query failed!" (Closes: #924424)
    - diskstat_ plugin fails with 4.19 kernels (Closes: #926146)
    - open_files max is 18 quintillion, obscuring graph (Closes: #928211)
    - upstream issues:
      * https://github.com/munin-monitoring/munin/issues/579:
        A connection issue with a node leads to the premature removal of all
        its graphs from the master visualization, if any plugin (from any
        node) returned an invalid output.
      * https://github.com/munin-monitoring/munin/issues/951:
        munin-async failed to handle plugins with names containing special
        characters. Such valid plugins worked only locally, but not via
        munin-async.
      * https://github.com/munin-monitoring/munin/issues/460:
        In an fcgid-based setup (recommended when using nginx) every but the
        first request for a "comparison" page returned invalid graphs due to
        a mistaken permanent internal state change. This long-standing issue
        plagued munin since wheezy.
  * Re-export upstream signing key without extra signatures.
  * Ensure that /var/cache/munin/www exists.
    Thanks to Marvin Gülker (Closes: #927692)
  * Keep permission of /run/munin in sync for systemd and sysvinit
  * Fix autopkgtests for hosts without net-tools. (Closes: #926977)

 -- Holger Levsen <holger@debian.org>  Thu, 16 May 2019 01:21:08 +0200

=== debian/control ===
--- 
+++ 
@@ -26,16 +26,18 @@
  libtest-mockobject-perl,
  perl,
 Build-Depends:
- debhelper-compat (=11),
+ debhelper-compat (=12),
  libmodule-build-perl,
+ po-debconf,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://munin-monitoring.org
 Vcs-Git: https://salsa.debian.org/debian/munin.git -b debian
 Vcs-Browser: https://salsa.debian.org/debian/munin
 
 Package: munin-node
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${perl:Depends},
  libnet-server-perl,
  lsb-base (>= 4.1),
@@ -157,6 +159,7 @@
 
 Package: munin
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${perl:Depends},
  lsb-base (>= 4.1),
  cron | cron-daemon | systemd-sysv,
@@ -218,6 +221,7 @@
 
 Package: munin-async
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${perl:Depends},
  lsb-base (>= 4.1),
  adduser,

=== debian/tests/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 # systemd
 Tests: master-systemd-cron, master-systemd-cgi
-Depends: munin, munin-node, daemontools, apache2, curl, file, libcgi-fast-perl, sharness, 
+Depends: munin, munin-node, daemontools, apache2, curl, file, libcgi-fast-perl, sharness
 Restrictions: needs-root, breaks-testbed, isolation-container
 
 # sysvinit-core
